[arch-commits] Commit in python-secretstorage/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Nov 8 11:40:17 UTC 2020


    Date: Sunday, November 8, 2020 @ 11:40:17
  Author: felixonmars
Revision: 746506

archrelease: copy trunk to community-any

Added:
  python-secretstorage/repos/community-any/PKGBUILD
    (from rev 746505, python-secretstorage/trunk/PKGBUILD)
Deleted:
  python-secretstorage/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   72 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-08 11:40:04 UTC (rev 746505)
+++ PKGBUILD	2020-11-08 11:40:17 UTC (rev 746506)
@@ -1,36 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
-# Contributor: Patrice Peterson <runiq at archlinux dot us>
-# Contributor: JonnyJD <arch at JonnyJD.net>
-
-pkgname=python-secretstorage
-_pkgname=SecretStorage
-pkgver=3.1.2
-pkgrel=1
-pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
-arch=('any')
-url="https://github.com/mitya57/secretstorage"
-license=('BSD')
-depends=('python-cryptography' 'python-jeepney')
-checkdepends=('org.freedesktop.secrets' 'xorg-server-xvfb')
-source=("https://pypi.io/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz")
-sha512sums=('c132b21556c55b5912354fd27b6062d32c0f510234f7fe57f6e8e0acb08393ad95e0896967b577de97821387cd714e62b657359230296449e4e0a7ae5a797803')
-
-build() {
-  cd $_pkgname-$pkgver
-
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
-}
-
-package() {
-  cd $_pkgname-$pkgver
-
-  python setup.py install --root="$pkgdir" -O1
-  install -Dm 644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-secretstorage/repos/community-any/PKGBUILD (from rev 746505, python-secretstorage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-08 11:40:17 UTC (rev 746506)
@@ -0,0 +1,36 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: JonnyJD <arch at JonnyJD.net>
+
+pkgname=python-secretstorage
+_pkgname=SecretStorage
+pkgver=3.2.0
+pkgrel=1
+pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
+arch=('any')
+url="https://github.com/mitya57/secretstorage"
+license=('BSD')
+depends=('python-cryptography' 'python-jeepney')
+checkdepends=('org.freedesktop.secrets' 'xorg-server-xvfb')
+source=("https://pypi.io/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz")
+sha512sums=('668f3847f573e1756ffa3a38c278e6d4895223553830d49969e979003d04ca04fb5eaf8dfcc616086a6020f6a73fbe71f7041d4c4ee574205f00fbde945298e9')
+
+build() {
+  cd $_pkgname-$pkgver
+
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
+}
+
+package() {
+  cd $_pkgname-$pkgver
+
+  python setup.py install --root="$pkgdir" -O1
+  install -Dm 644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list